# grads - OpenGrADS wrapped "grads"

- NAME
- SYNOPSIS
- DESCRIPTION
- EXAMPLES
- OPTIONS
- ENVIRONMENT VARIABLES
- SEE ALSO
- AUTHOR
- COPYRIGHT

## NAME

         grads - OpenGrADS wrapped "grads"

## SYNOPSIS

         grads [OpenGRADS_OPTIONS]  {regular grads arguments}

## DESCRIPTION

         This wrapper script provides the standard interface to software
         installed within an OpenGrADS Bundle. It enables the "grads"
         application to select specific versions of the OpenGrADS Bundle,
         as well as to detect and set the relevant environment variables.

         The "OpenGrADS Bundle" (OB) is simply a directory structure that
         organizes GrADS, utilities, extension libraries as well as
         supporting resources (fonts, map datasets, scripts). The main
         goal is to provide a relocatable, minimum configuration installation.
         Additional information about OBs can be found at

##

          http://opengrads.org/wiki/index.php?title=The_OpenGrADS_Bundle

##

         An OB allows for multiple-version, multi-platform installations on
         a single directory structure. This is convenient for shipping
         multi-platform software with data DVD-ROMs, or to have a GrADS
         installation on a network disk cross mounted on diverse platforms
         (Mac OS X, Linux, FreeBSD, Windows, etc.) By allowing concurrent
         installation of multiple versions users can choose when to upgrade
         to a specific version, while keeping stable production software
         running with a frozen release.

##

## EXAMPLES

          1) To start GrADS version 2.0.a5.oga.1 enter

##

             % grads --with-version 2.0.a5.oga.1

##

          2) To always start version 2.0.a5.1 set this environment variable
             in your .cshrc or .profile:

##

             C-shell:
                       setenv GAVERSION 2.0.a5.oga.1

##

             Bash and variants:
                       export GAVERSION=2.0.a5.oga.1

##

          3) To see which versiob is your default

##

              % grads --version

##

## OPTIONS

         --asif  name   behave as if this script was called *name*

##

         --ga2udxt      print the value of the GA2UDXT variable right
                        before calling the real "grads"

##

         --gaddir       print the value of the GA2UDXT variable right
                        before calling the real "grads"

##

         --gascrp       print the value of the GA2UDXT variable right
                        before calling the real "grads"

##

         --help         print this page

##

         --with-arch arch
                        select OpenGrADS bundle with this architecture;
                        default is the results of `uname -n`. Usually
                        one would take the default, unless perhaps when
                        Java becomes available.

##

         --with-mach mach
                        select OpenGrADS bundle with this type of processor;
                        default is the results of `uname -m`. Usually one
                        would take the default. However, on architectures
                        such as Linux sometimes i386 works more reliably
                        than the neative x86_64.

##

         --with-version x.y.z
                        select OpenGrADS bundle with version x.y.z

##

         --version      print OpenGrADS Bundle version

##

## ENVIRONMENT VARIABLES

         GA2UDXT        The name of the directory where grads looks for its
                        User Denied eXtension Table; when GA2UDXT is already
                        set this wrapper will not redefine it.

##

         GADDIR         The name of the directory where grads looks for its
                        fonts and map database files; when GADDIR is already
                        set this wrapper will not redefine it

##

         GADSET         This wrapper sets this variable with the name
                        of the directory containg th sample datasets. From
                        the grads command line one can enter

##

                           ga-> @ open /model.ctl

##

         GAGUI          The name of the Athena GUI script to start grads
                        with. Currently the *merra.gui* script when the
                        file name for this wrapper is *merra*

##

         GASCRP         Space delimited list of directories where grads looks
                        for its scripts; this wrapper always adds the
                        Resources/Scripts directory to the end of this list

##

         GAVERSION      By default selects this version of the software
                        instead of "Current"

##

## SEE ALSO

         http://opengrads.org --- OpenGrADS Home Page
         http://cookbooks.opengrads.org --- OpenGrADS Cookbooks

## AUTHOR

         Arlindo da Silva

##

## COPYRIGHT

         Copyright (c) 2009 Arlindo da Silva
         This is free software released under the GNU General Public
         License; see the source for copying conditions.
         There is NO  warranty;  not even for MERCHANTABILITY or FITNESS
         FOR A PARTICULAR PURPOSE.

##